import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const StageFoot = /*@__PURE__*/ proxyCustomElement(class StageFoot extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
    }
    render() {
        return (h(Host, { key: '9cf1ea0d02d399cfa69ecc24af4184abec3df6b0', class: "hero-foot" }, h("slot", { key: 'bbe34ad9838a7a92d50ec23a59e50548b617d902' })));
    }
    get el() { return this; }
}, [260, "bal-stage-foot"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-stage-foot"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-stage-foot":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, StageFoot);
            }
            break;
    } });
}

const BalStageFoot = StageFoot;
const defineCustomElement = defineCustomElement$1;

export { BalStageFoot, defineCustomElement };
